Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.stack.model
Interface VStackPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VStackPackageImpl

    public interface VStackPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `VStackFactory`

Nested Class Summary
`static interface` | `VStackPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static VStackPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `STACK_ITEM` The meta object id for the '`Item`' class.
`static int` | `STACK_ITEM__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `STACK_ITEM__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` | `STACK_ITEM__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `STACK_ITEM__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `STACK_ITEM__NAME` The feature id for the 'Name' attribute.
`static int` | `STACK_ITEM__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `STACK_ITEM__VALUE` The feature id for the 'Value' attribute.
`static int` | `STACK_ITEM__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `STACK_ITEM_FEATURE_COUNT` The number of structural features of the 'Item' class.
`static int` | `STACK_LAYOUT` The meta object id for the '`Layout`' class.
`static int` | `STACK_LAYOUT__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `STACK_LAYOUT__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `STACK_LAYOUT__DOMAIN_MODEL_REFERENCE` The feature id for the 'Domain Model Reference' containment reference.
`static int` | `STACK_LAYOUT__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `STACK_LAYOUT__NAME` The feature id for the 'Name' attribute.
`static int` | `STACK_LAYOUT__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `STACK_LAYOUT__STACK_ITEMS` The feature id for the 'Stack Items' containment reference list.
`static int` | `STACK_LAYOUT__TOP_ELEMENT` The feature id for the 'Top Element' reference.
`static int` | `STACK_LAYOUT__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `STACK_LAYOUT_FEATURE_COUNT` The number of structural features of the 'Layout' class.

Method Summary
`VStackFactory` | `getStackFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` | `getStackItem_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getStackItem()` Returns the meta object for class '`Item`'.
`org.eclipse.emf.ecore.EReference` | `getStackLayout_DomainModelReference()` Returns the meta object for the containment reference ' `Domain Model Reference`'.
`org.eclipse.emf.ecore.EReference` | `getStackLayout_StackItems()` Returns the meta object for the containment reference list ' `Stack Items`'.
`org.eclipse.emf.ecore.EReference` | `getStackLayout_TopElement()` Returns the meta object for the reference ' `Top Element`'.
`org.eclipse.emf.ecore.EClass` | `getStackLayout()` Returns the meta object for class '`Layout` '.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VStackPackage eINSTANCE

  The singleton instance of the package.

### STACK_LAYOUT

    static final int STACK_LAYOUT

  The meta object id for the '`Layout`' class.

  See Also:
    `VStackLayoutImpl`, `VStackPackageImpl.getStackLayout()`, Constant Field Values

### STACK_LAYOUT__NAME

    static final int STACK_LAYOUT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### STACK_LAYOUT__VISIBLE

    static final int STACK_LAYOUT__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### STACK_LAYOUT__ENABLED

    static final int STACK_LAYOUT__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### STACK_LAYOUT__READONLY

    static final int STACK_LAYOUT__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### STACK_LAYOUT__DIAGNOSTIC

    static final int STACK_LAYOUT__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### STACK_LAYOUT__ATTACHMENTS

    static final int STACK_LAYOUT__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### STACK_LAYOUT__DOMAIN_MODEL_REFERENCE

    static final int STACK_LAYOUT__DOMAIN_MODEL_REFERENCE

  The feature id for the 'Domain Model Reference' containment reference.

  See Also:
    Constant Field Values

### STACK_LAYOUT__STACK_ITEMS

    static final int STACK_LAYOUT__STACK_ITEMS

  The feature id for the 'Stack Items' containment reference list.

  See Also:
    Constant Field Values

### STACK_LAYOUT__TOP_ELEMENT

    static final int STACK_LAYOUT__TOP_ELEMENT

  The feature id for the 'Top Element' reference.

  See Also:
    Constant Field Values

### STACK_LAYOUT_FEATURE_COUNT

    static final int STACK_LAYOUT_FEATURE_COUNT

  The number of structural features of the 'Layout' class.

  See Also:
    Constant Field Values

### STACK_ITEM

    static final int STACK_ITEM

  The meta object id for the '`Item`' class.

  See Also:
    `VStackItemImpl`, `VStackPackageImpl.getStackItem()`, Constant Field Values

### STACK_ITEM__NAME

    static final int STACK_ITEM__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### STACK_ITEM__VISIBLE

    static final int STACK_ITEM__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### STACK_ITEM__ENABLED

    static final int STACK_ITEM__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### STACK_ITEM__READONLY

    static final int STACK_ITEM__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### STACK_ITEM__DIAGNOSTIC

    static final int STACK_ITEM__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### STACK_ITEM__ATTACHMENTS

    static final int STACK_ITEM__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### STACK_ITEM__CHILDREN

    static final int STACK_ITEM__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### STACK_ITEM__VALUE

    static final int STACK_ITEM__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### STACK_ITEM_FEATURE_COUNT

    static final int STACK_ITEM_FEATURE_COUNT

  The number of structural features of the 'Item' class.

  See Also:
    Constant Field Values

Method Detail

### getStackLayout

    org.eclipse.emf.ecore.EClass getStackLayout()

  Returns the meta object for class '`Layout` '.

  Returns:
    the meta object for class 'Layout'.
  See Also:
    `VStackLayout`

### getStackLayout_DomainModelReference

    org.eclipse.emf.ecore.EReference getStackLayout_DomainModelReference()

  Returns the meta object for the containment reference ' `Domain Model Reference`'.

  Returns:
    the meta object for the containment reference 'Domain Model Reference'.
  See Also:
    `VStackLayout.getDomainModelReference()`, `getStackLayout()`

### getStackLayout_StackItems

    org.eclipse.emf.ecore.EReference getStackLayout_StackItems()

  Returns the meta object for the containment reference list ' `Stack Items`'.

  Returns:
    the meta object for the containment reference list 'Stack Items'.
  See Also:
    `VStackLayout.getStackItems()`, `getStackLayout()`

### getStackLayout_TopElement

    org.eclipse.emf.ecore.EReference getStackLayout_TopElement()

  Returns the meta object for the reference ' `Top Element`'.

  Returns:
    the meta object for the reference 'Top Element'.
  See Also:
    `VStackLayout.getTopElement()`, `getStackLayout()`

### getStackItem

    org.eclipse.emf.ecore.EClass getStackItem()

  Returns the meta object for class '`Item`'.

  Returns:
    the meta object for class 'Item'.
  See Also:
    `VStackItem`

### getStackItem_Value

    org.eclipse.emf.ecore.EAttribute getStackItem_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `VStackItem.getValue()`, `getStackItem()`

### getStackFactory

    VStackFactory getStackFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.